---
pageClass: rule-details
sidebarDepth: 0
title: vue/func-call-spacing
description: require or disallow spacing between function identifiers and their invocations in `<template>`
since: v7.0.0
---
# vue/func-call-spacing

> require or disallow spacing between function identifiers and their invocations in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [func-call-spacing] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [func-call-spacing]

[func-call-spacing]: https://eslint.org/docs/rules/func-call-spacing

## :rocket: Version

This rule was introduced in eslint-plugin-vue v7.0.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/func-call-spacing.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/func-call-spacing.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/func-call-spacing)</sup>
