---
pageClass: rule-details
sidebarDepth: 0
title: vue/operator-linebreak
description: enforce consistent linebreak style for operators in `<template>`
since: v7.0.0
---
# vue/operator-linebreak

> enforce consistent linebreak style for operators in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [operator-linebreak] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [operator-linebreak]

[operator-linebreak]: https://eslint.org/docs/rules/operator-linebreak

## :rocket: Version

This rule was introduced in eslint-plugin-vue v7.0.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/operator-linebreak.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/operator-linebreak.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/operator-linebreak)</sup>
